Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Workflows Runs Endpoints

Workflows API - runs.

List Runs

GET /v1/workflows/runs#

List Runs

200

Successful Response

A list of workflow executions

next_page_token#
string|null

Token to use for fetching the next page of results. Null if this is the last page.

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.workflows.runs.listRuns({});

  for await (const page of result) {
    console.log(page);
  }
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.workflows.runs.list_runs(order="desc", include_internal=True, page_size=50)

    while res is not None:
        # Handle items

        res = res.next()

curl https://api.mistral.ai/v1/workflows/runs \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "executions": [
    {
      "end_time": null,
      "execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
      "root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
      "start_time": "2025-12-17T10:25:07.818693Z",
      "status": "RUNNING",
      "workflow_name": "support-workflow"
    }
  ]
}

Get Run

GET /v1/workflows/runs/{run_id}#

Get Run

200

Successful Response

deployment_name#
string|null

The name of the deployment that ran this execution

end_time#
*date-time|null

The end time of the workflow execution, if available

execution_id#
*string

The ID of the workflow execution

parent_execution_id#
string|null

The parent execution ID of the workflow execution

result#
*any|null

The result of the workflow execution, if available

root_execution_id#
*string

The root execution ID of the workflow execution

run_id#
string|null

The unique run identifier (database UUID)

start_time#
*date-time

The start time of the workflow execution

status#
*"RUNNING"|"COMPLETED"|"FAILED"|"CANCELED"|"TERMINATED"|"CONTINUED_AS_NEW"|"TIMED_OUT"|"RETRYING_AFTER_ERROR"

The status of the workflow execution

total_duration_ms#
integer|null

The total duration of the trace in milliseconds

user_id#
string|null

The ID of the user who triggered the execution

workflow_id#
string|null

The ID of the workflow

workflow_name#
*string

The name of the workflow

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.workflows.runs.getRun({
    runId: "553b071e-3d04-46aa-aa9a-0fca61dc60fa",
  });

  console.log(result);
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.workflows.runs.get_run(run_id="553b071e-3d04-46aa-aa9a-0fca61dc60fa")

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "end_time": null,
  "execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "result": null,
  "root_execution_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "start_time": "2025-12-17T10:25:07.818693Z",
  "status": "RUNNING",
  "workflow_name": "support-workflow"
}

Get Run History

GET /v1/workflows/runs/{run_id}/history#

Get Run History

200

Response Type
any

Successful Response

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.workflows.runs.getRunHistory({
    runId: "f7296489-0212-4239-9e35-12fabfe8cd11",
  });

  console.log(result);
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.workflows.runs.get_run_history(run_id="f7296489-0212-4239-9e35-12fabfe8cd11", decode_payloads=True)

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

null